CURSES_ADDCH(3)

NAME
curses_addch, addch, waddch, mvaddch, mvwaddch - curses add characters to windows routines

LIBRARY
libcurses

SYNOPSIS
#include <curses.h>
int
addch(chtype ch);
int
waddch(WINDOW *win, chtype ch);
int
mvaddch(int y, int x, chtype ch);
int
mvwaddch(WINDOW *win, int y, int x, chtype ch);

DESCRIPTION
These functions add characters to stdscr or to the specified window.

The addch() function adds the character given in ch to stdscr at the current cursor position and advances the current cursor position by one. Any character attributes set in ch will be merged with the background attributes currently set on stdscr.

The waddch() function is the same as the addch() function, excepting that the character is added to the window specified by win.

The mvaddch() and mvwaddch() functions are the same as the addch() and waddch() functions, respectively, excepting that wmove() is called to move the cursor to the position specified by y, x before the character is added to the window.

RETURN VALUES
Functions returning pointers will return NULL if an error is detected. The functions that return an int will return one of the following values:

OK  The function completed successfully.
ERR An error occurred in the function.

SEE ALSO
curses_addchstr(3), curses_addstr(3), curses_attributes(3), curses_cursor(3), curses_delch(3), curses_inch(3), curses_insertch(3)

STANDARDS
The NetBSD Curses library complies with the X/Open Curses specification, part of the Single Unix Specification.

HISTORY
The Curses package appeared in 4.0BSD.